=== debian/changelog ===
dpdk (19.11.7-0ubuntu0.20.10.1) groovy; urgency=medium

  * Merge the latest upstream stable minor release 19.11.7-rc1
    19.11.7 at https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html
  * fix linking back to pre be like 19.11.6 behavior (LP: #1920141)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 23 Feb 2021 11:03:38 +0100

dpdk (19.11.6-0ubuntu0.20.10.1) groovy; urgency=medium

  * Merge latest upstream stable minor release 19.11.6 (LP: #1912464)
    For a detailed list of changes check out
    https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#id14

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 20 Jan 2021 09:37:12 +0100
