=== debian/control ===
Source: dpdk
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DPDK Maintainers <pkg-dpdk-devel@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
           Christian Ehrhardt <christian.ehrhardt@canonical.com>,
           Santiago Ruano Rincón <santiagorr@riseup.net>,
Build-Depends: chrpath,
               debhelper (>= 10.3~),
               dh-python,
               dkms,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               inkscape <!nodoc>,
               libbpf-dev,
               libbsd-dev,
               libelf-dev,
               libfdt-dev,
               libibverbs-dev (>= 23~),
               libipsec-mb-dev [amd64],
               libisal-dev [amd64],
               libjansson-dev,
               libmnl-dev,
               libnuma-dev,
               libpcap-dev,
               libssl-dev,
               meson (>= 0.47.1~),
               pkg-config,
               python3,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               texlive-fonts-recommended <!nodoc>,
               texlive-latex-extra <!nodoc>,
               zlib1g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: libs
Homepage: https://www.dpdk.org
Vcs-Git: https://salsa.debian.org/debian/dpdk.git -b unstable
Vcs-Browser: https://salsa.debian.org/debian/dpdk

Package: dpdk
Section: admin
Architecture: amd64 arm64 armhf i386 ppc64el
Depends: lsb-base (>= 3.2-14),
         pci.ids | hwdata,
         pciutils,
         ${misc:Depends},
         ${python3:Depends},
Recommends: librte-mempool20.0,
            librte-mempool-ring20.0,
            librte-pmd-af-packet20.0,
            librte-pmd-bond20.0,
            librte-pmd-e1000-20.0,
            librte-pmd-fm10k20.0,
            librte-pmd-i40e20.0,
            librte-pmd-ixgbe20.0,
            librte-pmd-kni20.0,
            librte-pmd-mlx4-20.0,
            librte-pmd-mlx5-20.0,
            librte-pmd-netvsc20.0,
            librte-pmd-pcap20.0,
            librte-pmd-tap20.0,
            librte-pmd-thunderx20.0,
            librte-pmd-vdev-netvsc20.0,
            librte-pmd-vhost20.0,
            librte-pmd-virtio20.0,
            librte-pmd-vmxnet3-20.0,
            python3-pyelftools,
Suggests: dpdk-doc,
          dpdk-igb-uio-dkms (= ${binary:Version}),
          linux-image-generic,
          ${librte:Suggests},
Breaks: dpdk-dev (<< 18.11-4~),
Replaces: dpdk-dev (<< 18.11),
Description: Data Plane Development Kit (runtime)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime environment to run DPDK applications.

Package: dpdk-dev
Section: oldlibs
Architecture: amd64 arm64 armhf i386 ppc64el
Breaks: dpdk (<< 18.11-4~),
Replaces: dpdk (<< 18.11-4),
Depends: libdpdk-dev (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (dev tools)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains tools useful to a developer and for dpdk self tests.

Package: dpdk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Homepage: https://dpdk.org/doc/guides/index.html
Depends: fonts-font-awesome,
         fonts-lato,
         fonts-roboto-slab,
         libjs-jquery,
         libjs-underscore,
         python3:any,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: Data Plane Development Kit (documentation)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the complete set of documentation and guides.

Package: dpdk-igb-uio-dkms
Section: kernel
Architecture: amd64 arm64 i386 ppc64el
Depends: dkms,
         libdpdk-dev (= ${binary:Version}),
         libelf-dev,
         make,
         ${misc:Depends},
Description: Data Plane Development Kit (igb uio dkms)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the source code for the igb_uio kernel module.

Package: libdpdk-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libbpf-dev,
         libbsd-dev,
         libibverbs-dev,
         libipsec-mb-dev [amd64],
         libisal-dev [amd64],
         libelf-dev,
         libfdt-dev,
         libjansson-dev,
         libmnl-dev,
         libnuma-dev,
         libpcap-dev,
         libssl-dev,
         zlib1g-dev,
         ${librte:Depends},
         ${misc:Depends},
Description: Data Plane Development Kit (basic development files)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the basic headers and library files required to
 build external applications which will also require at least SSE3 support
 when running.
 .
 libdpdk.pc: note that CFLAGS might contain an -march flag higher than typical
 baseline.
 This is required for a number of static inline functions in the public headers.

Package: librte-bbdev0.200
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__bbdev_8h.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (librte-bbdev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bbdev.
 FYI: This library still is highly experimental.

Package: librte-ethdev20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__ethdev_8h.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (libethdev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for libethdev.

Package: librte-acl20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__acl_8h.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (librte-acl runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_acl.

Package: librte-bus-dpaa20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_bus_dpaa runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_dpaa.

Package: librte-bus-fslmc20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_bus_fslmc runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_fslmc.

Package: librte-bus-pci20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_bus_pci runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_pci.

Package: librte-bus-vdev20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_bus_vdev runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_vdev.

Package: librte-bus-vmbus20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_bus_vmbus runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_vmbus.

Package: librte-bus-ifpga20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/guides/rawdevs/ifpga_rawdev.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_bus_ifpga runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_bus_ifpga.

Package: librte-rawdev-ifpga20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/guides/rawdevs/ifpga_rawdev.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_rawdev_ifpga runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_rawdev_ifpga.
 .
 The SW IFPGA Rawdev Driver (ifpga_rawdev) provides a Rawdev driver that
 utilizes Intel FPGA Software Stack OPAE(Open Programmable Acceleration Engine)
 for FPGA management.

Package: librte-pmd-ifc20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/guides/nics/ifc.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Data Plane Development Kit (librte_pmd_ifc runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_pmd_ifc.

Package: librte-cfgfile20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/rte__cfgfile_8h.html
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libdpdk0,
Description: Data Plane Development Kit (librte-cfgfile runtime library)
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package contains the runtime libraries for librte_cfgfile.

Package: librte-cmdline20.0
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: same
Homepage: https://dpdk.org/doc/api/cmdline_8h.html
