## dpdk 19.11.10

=== debian/changelog ===
dpdk (19.11.10-0ubuntu0.20.04.1) focal; urgency=medium

  * Merge the latest upstream stable minor release 19.11.10 (LP: #1940913)
    Release notes available at:
    https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html
    - Revert "fix linking back to pre be like 19.11.6 behavior (LP 1920141)"
      [now part of upstream]
  * d/p/u/lp-1940957-net-i40e-support-25G-AOC-ACC-cables.patch: fix issues
    with 25G AOC cables (LP: #1940957)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 24 Aug 2021 11:51:47 +0200

dpdk (19.11.7-0ubuntu0.20.04.1) focal; urgency=medium

  * Merge the latest upstream stable minor release 19.11.7-rc1
    19.11.7 at https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html
  * fix linking back to pre be like 19.11.6 behavior (LP: #1920141)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 23 Feb 2021 11:03:38 +0100

dpdk (19.11.6-0ubuntu0.20.04.1) focal; urgency=medium

  * Merge latest upstream stable minor release 19.11.6 (LP: #1912464)
    For a detailed list of changes check out:
    19.11.4 https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#id7
    19.11.5 https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#id11
    19.11.6 https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#id14
    - update d/p/revert-net-ipn3ke-fix-meson-build.patch: to match 19.11.6
    - drop debian/patches/CVE-2020-1437x/*.patch being part of 19.11.5
    - drop d/p/19.11-remove-zero-copy-and-client-mode-restriction.patch being
      part of 19.11.5
    - Add "Adjust dpdk-doc install path for guides" from 19.11.4-1 as it is
      needed for the newer upstream version

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 20 Jan 2021 09:43:42 +0100

dpdk (19.11.3-0ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/CVE-2020-1437x/*.patch: added upstream patches to fix
      the issues.
    - CVE-2020-14374
    - CVE-2020-14375
    - CVE-2020-14376
    - CVE-2020-14377
    - CVE-2020-14378

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Sep 2020 08:29:30 -0400

dpdk (19.11.3-0ubuntu0.1) focal; urgency=medium

  * Merge latest stable DPDK release 19.11.3; for a full list of changes see:
    https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#release-notes
    (LP: #1885915)
  * Remaining Changes:
    - d/control: disable libbpf-dev build dependency while waiting for the
      kernel to build it for LP: 1836708 1826410.
    - d/control: remove librte-pmd-af-xdp20.0 until libbpf-dev is available
    - d/p/revert-net-ipn3ke-fix-meson-build.patch: avoid adding new shared
      objects and binary packages
    - Revert "add new packages which didn't build"
  * Dropped changes
    - drop security patches being included in 19.11.3
      - d/p/0001-vhost-check-log-mmap-offset-and-size-overflow.patch
      - d/p/0002-vhost-fix-vring-index-check.patch
      - d/p/0003-vhost-crypto-validate-keys-lengths.patch
      - d/p/0004-vhost-fix-translated-address-not-checked.patch
      - d/p/0005-vhost-fix-potential-memory-space-leak.patch
      - d/p/0006-vhost-fix-potential-fd-leak.patch
  * Added changes:
    - d/p/19.11-remove-zero-copy-and-client-mode-restriction.patch: avoid
      dropping a used feature with the stable update

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 02 Jul 2020 08:41:28 +0200

dpdk (19.11.1-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in vhost_user_set_log_base()
    - d/p/0001-vhost-check-log-mmap-offset-and-size-overflow.patch: check
      log mmap offset and size overflow in lib/librte_vhost/vhost_user.c.
    - CVE-2020-10722
  * SECURITY UPDATE: Int truncation in vhost_user_check_and_alloc_queue_pair()
    - d/p/0002-vhost-fix-vring-index-check.patch: fix vring index check in
      lib/librte_vhost/vhost_user.c.
    - CVE-2020-10723
  * SECURITY UPDATE: Missing inputs validation in Vhost-crypto
    - d/p/0003-vhost-crypto-validate-keys-lengths.patch: validate keys
      lengths in lib/librte_vhost/vhost_crypto.c.
    - CVE-2020-10724
  * SECURITY UPDATE: Malicious guest could cause segfault by sending
    invalid Virtio descriptor
    - d/p/0004-vhost-fix-translated-address-not-checked.patch: fix
      translated address not checked in lib/librte_vhost/virtio_net.c.
    - CVE-2020-10725
  * SECURITY UPDATE: VHOST_USER_GET_INFLIGHT_FD message flooding to result
    in a DOS
    - d/p/0005-vhost-fix-potential-memory-space-leak.patch: fix potential
      memory space leak in lib/librte_vhost/vhost_user.c.
    - d/p/0006-vhost-fix-potential-fd-leak.patch: fix potential fd leak in
      lib/librte_vhost/vhost_user.c.
    - CVE-2020-10726

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 May 2020 07:34:18 -0400
